<template>
  <div>
    <div class="d-flex justify-content-between">
      <b-form-file v-model="file"></b-form-file>
      <b-button :disabled="!file" @click="onUpload" class="ml-2"
        >upload</b-button
      >
    </div>
  </div>
</template>

<script>
export default {
  props: {
    value: {
      type: Number,
      default: null,
    },
  },
  data() {
    return {
      file: null,
      imageId: this.value,
    };
  },
  methods: {
    onDelete() {
      this.file = null;
      this.imageId = null;

      this.$emit('input', this.imageId);
    },
    async onUpload() {
      const loader = this.$loading.show();

      const formData = new FormData();

      formData.append('files', this.file, this.file.name);

      const result = await this.$axios.$post(
        `/admin/upload/multipart`,
        formData
      );

      this.file = null;
      this.imageId = result[0].id;

      loader.hide();

      this.$emit('input', this.imageId);
    },
  },
};
</script>
